# class Chef::ResourceDefinitionList

### Attributes

defines[RW]

### Public Class Methods

new() click to toggle source

    # File lib/chef/resource_definition_list.rb, line 28
    def initialize
      @defines = Hash.new
    end

### Public Instance Methods

define(resource_name, prototype_params=nil, &block) click to toggle source

    # File lib/chef/resource_definition_list.rb, line 32
    def define(resource_name, prototype_params=nil, &block)
      @defines[resource_name] = ResourceDefinition.new
      @defines[resource_name].define(resource_name, prototype_params, &block)
      true
    end